### File

`packages/ecl/components/ecl-gallery/ecl-gallery-media.directive.ts`

### Description

Applies classes for the gallery thumbnail.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `picture[eclGalleryThumbnail]`

### Index

###### Methods
getCssClasses
###### Inputs
hasZoom class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

hasZoom
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""